Support statement for packages within Ubuntu 16.04 LTS should have the 5 Y statement

Bug #1577833 reported by bugproxy on 2016-05-03
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Seeds
Fix Committed
Undecided
Adam Conrad
Ubuntu on IBM z Systems
Medium
Unassigned
hw-detect (Ubuntu)
Undecided
Unassigned
Xenial
Critical
Dimitri John Ledkov

Bug Description

[Impact]

 * Default install of Ubuntu server, should not install universe packages, specifically discover

[Test Case]

 * Use d-i installer, to perform a server-like install

 * Check that there are no universe packages installed by default

 * Specifically check that discover package is not installed

[Regression Potential]

 * discover appears to be a useless package which does not enable any extra hardware at either install, or post-boot time. Less disk space is used, as well as less time, and non-supported package is not installed unconditionally onto the target systems.

[Other Info]

 * Original bug report

We detected following information

Manuell Installation in Standard-Mode (not Expert Mode)with following selection: standard system utilities, OpenSSH server, Basic Ubuntu server for s390-tools:

Following information are provided by the ubuntu-support-status tool.

Supported until January 2017 (9m):
libpfm4 s390-tools sysconfig-hardware

Supported until April 2019 (3y):
discover discover-data libdiscover2

The assumption is, the 16.04 LTS will have 5 year support for each package within release/main

bugproxy (bugproxy) on 2016-05-03
tags: added: architecture-s39064 bugnameltc-141010 severity-medium targetmilestone-inin1610
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1577833/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → ubuntu-meta (Ubuntu)
Changed in ubuntu-meta (Ubuntu):
status: New → Confirmed
status: Confirmed → In Progress
affects: ubuntu-meta (Ubuntu) → ubuntu-seeds
Frank Heimes (fheimes) on 2016-05-23
Changed in ubuntu-z-systems:
status: New → In Progress
Dimitri John Ledkov (xnox) wrote :

@Adam Conrad

changing assignee over to you - this is a bug about Supported: field in xenial, which for some packages in main doesn't list the correct 5y term.

Changed in ubuntu-seeds:
assignee: Skipper Bug Screeners (skipper-screen-team) → Adam Conrad (adconrad)
Frank Heimes (fheimes) on 2016-06-07
Changed in ubuntu-z-systems:
importance: Undecided → Medium
Adam Conrad (adconrad) wrote :

This is fixed in xenial-updates, it will take a bit more work to fix it in the release pocket, but that's also planned.

Changed in ubuntu-seeds:
status: In Progress → Fix Committed
Frank Heimes (fheimes) on 2016-08-24
Changed in ubuntu-z-systems:
status: In Progress → Fix Committed
Frank Heimes (fheimes) wrote :

This ticket go a bit lost - I just checked it again on 16.04.3 and:
libpfm4 s390-tools sysconfig-hardware
are now in the bucket of packages supported for 5 years
and:
discover discover-data libdiscover2
are universe packages (with prio. optional).

Hence closing this ticket as Fix Released.

Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
Dimitri John Ledkov (xnox) wrote :

I think it is a bug in hw-detect, that pulls in discover unconditionally, when I do not believe it is at all useful on Ubuntu.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hw-detect - 1.117ubuntu6

---------------
hw-detect (1.117ubuntu6) bionic; urgency=medium

  * Drop hw-detect.pre-pkgsel.d/20install-hwpackages, as it installs
    universe package, which is probably in itself not useful on
    Ubuntu. LP: #1577833

 -- Dimitri John Ledkov <email address hidden> Thu, 15 Feb 2018 12:27:37 +0000

Changed in hw-detect (Ubuntu):
status: New → Fix Released
description: updated
Changed in hw-detect (Ubuntu Xenial):
milestone: none → ubuntu-16.04.4
importance: Undecided → Critical
status: New → In Progress
assignee: nobody → Dimitri John Ledkov (xnox)

Hello bugproxy, or anyone else affected,

Accepted hw-detect into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/hw-detect/1.117ubuntu2.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in hw-detect (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-xenial
Dimitri John Ledkov (xnox) wrote :

Using d-i installer for xenial, with apt-setup/proposed=true, and thus running the installation with hw-detect 1.117ubuntu2.3, version of the udeb verified in the d-i shell by checking /var/lib/dpkg/status file.

After the installation was completed, discover was not installed on the system as expected. The support status is now this:

$ ubuntu-support-status
Support status summary of 'clound02':

You have 437 packages (100.0%) supported until April 2021 (Canonical - 5y)

You have 0 packages (0.0%) that can not/no-longer be downloaded
You have 0 packages (0.0%) that are unsupported

Run with --show-unsupported, --show-supported or --show-all to see more details

tags: added: verification-done verification-done-xenial
removed: verification-needed verification-needed-xenial
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package hw-detect - 1.117ubuntu2.3

---------------
hw-detect (1.117ubuntu2.3) xenial; urgency=medium

  * hw-detect.sh: install opal-prd on OpenPOWER machines. LP: #1555904
  * Drop hw-detect.pre-pkgsel.d/20install-hwpackages, as it installs
    universe package, which is probably in itself not useful on
    Ubuntu. LP: #1577833

 -- Dimitri John Ledkov <email address hidden> Wed, 21 Feb 2018 15:36:54 +0000

Changed in hw-detect (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for hw-detect has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

------- Comment From <email address hidden> 2018-02-23 10:56 EDT-------
IBM Bugzilla Status -> closed, fixed by Canonical

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers